package com.lemon.testng;

import org.testng.annotations.Test;

/**
 * @program: Lemon
 * @description:
 * @author: ray
 * @create: 2022-09-22 16:04
 **/
public class TestNGDemo1 {
    /*
     * 使用TestNG不需要写main方法
     */

    @Test(enabled = false)
    public void test0() {
        System.out.println("TestNGDemo1....test0");
    }

    // 单个依赖用dependsOnMethods
    @Test(dependsOnMethods = "a")
    public void test1() {
        System.out.println("TestNGDemo1....test1");
    }


    @Test()
    public void test2() {
        System.out.println("TestNGDemo1....test2");
    }

    @Test
    public void a() {
        System.out.println("...a");
    }


}
